import uuid

from sqlalchemy import ForeignKey
from sqlalchemy.orm import Mapped, mapped_column

from . import Base, str_25, uuidpk


class Dish(Base):
    __tablename__ = "dish"

    id: Mapped[uuidpk]
    title: Mapped[str_25]
    description: Mapped[str | None]
    price: Mapped[float]

    parent_submenu: Mapped[uuid.UUID] = mapped_column(ForeignKey("submenu.id", ondelete="CASCADE"))
